package eu.heili.hometheater.website

import com.sun.net.httpserver.HttpServer
import eu.heili.hometheater.basicutils.Log.Log.criticalerror
import eu.heili.hometheater.basicutils.Log.Log.info
import eu.heili.hometheater.website.datarequests.TestData
import java.io.IOException
import java.net.BindException
import java.net.InetSocketAddress

class Webserver {
    fun startserver() {
        info("starting Webserver")
        try {
            val server = HttpServer.create(InetSocketAddress(8080), 0)
            server.createContext("/", MainPage())
            server.createContext("/data/test", TestData())
            // todo insert get and post request sites here!
            server.executor = java.util.concurrent.Executors.newCachedThreadPool() // creates a default executor
            server.start()
            info("Server available at http://127.0.0.1:8080 now")
        } catch (e: BindException) {
            criticalerror("The Port 8080 is already in use!")
            // todo option to choose other port
        } catch (e: IOException) {
            e.printStackTrace()
        }
    }
}